# IMultipleComponentChooser Struct Reference
[COM Interfaces]

Inheritance diagram for IMultipleComponentChooser:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Initialize (const IDType &inFamilyID)=0
virtual IDType MCCOMAPI | GetFamilyID ()=0
virtual void MCCOMAPI | ReInitPopup ()=0
virtual void MCCOMAPI | InsertComponentUI (IShParameterComponent *inComponent, int32 inInsertionIndex, boolean inBroadcastMessage)=0
virtual void MCCOMAPI | SetComponentList (TMCCountedPtrArray< IShParameterComponent > *inComponentList)=0
virtual void MCCOMAPI | GetComponentList (TMCCountedPtrArray< IShParameterComponent > *ioComponentList)=0
virtual void MCCOMAPI | GetInternalComponentList (TMCCountedPtrArray< IShParameterComponent > *outComponentList)=0
virtual void MCCOMAPI | SetSubPopupMode (boolean popupSubMode)=0
virtual void MCCOMAPI | SetSortMode (boolean popupSortMode)=0
virtual void MCCOMAPI | SetPopupIncludeMask (uint32 popupMaskInclude)=0
virtual void MCCOMAPI | SetPopupExcludeMask (uint32 popupMaskExclude)=0

## Detailed Description

Multiple component chooser. Used in the Modifiers tab in Carrara. Supports adding components to and removing components from a list of active components.

## Member Function Documentation

virtual void MCCOMAPI IMultipleComponentChooser::GetComponentList | ( | TMCCountedPtrArray< IShParameterComponent > * | ioComponentList | ) | `[pure virtual]`

virtual IDType MCCOMAPI IMultipleComponentChooser::GetFamilyID | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::GetInternalComponentList | ( | TMCCountedPtrArray< IShParameterComponent > * | outComponentList | ) | `[pure virtual]`

Gets the internal representation of the list of components for this chooser. Does not clone the component.

Parameters:

  | outComponentList | Returns a list of components.

virtual void MCCOMAPI IMultipleComponentChooser::Initialize | ( | const IDType & | inFamilyID | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::InsertComponentUI | ( | IShParameterComponent * | inComponent,
|  | int32 | inInsertionIndex,
|  | boolean | inBroadcastMessage |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::ReInitPopup | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::SetComponentList | ( | TMCCountedPtrArray< IShParameterComponent > * | inComponentList | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::SetPopupExcludeMask | ( | uint32 | popupMaskExclude | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::SetPopupIncludeMask | ( | uint32 | popupMaskInclude | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::SetSortMode | ( | boolean | popupSortMode | ) | `[pure virtual]`

virtual void MCCOMAPI IMultipleComponentChooser::SetSubPopupMode | ( | boolean | popupSubMode | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IComponentChooser.h